Page MenuHomePhabricator

Do not index type:api-feature-usage-sanitized events in Logstash's Elasticsearch
Closed, ResolvedPublic

Description

These are duplicate events of the type:mediawiki channel:api-feature-usage events that we already store with some information removed for presentation to the general public. These events are intended for storage in the production Elasticsearch servers (see T1272). We don't need to keep these in the Logstash Elasticsearch cluster.

Event Timeline

bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added a project: Wikimedia-Logstash.
bd808 added subscribers: bd808, Aklapper.

Change 210277 had a related patch set uploaded (by BryanDavis):
logstash: Exclude api-feature-usage-sanitized from indexing

https://gerrit.wikimedia.org/r/210277

Change 210277 merged by Ori.livneh:
logstash: Exclude api-feature-usage-sanitized from indexing

https://gerrit.wikimedia.org/r/210277

bd808 closed this task as Resolved.May 13 2015, 7:54 PM
bd808 claimed this task.
bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.
bd808 moved this task from Done to Archive on the User-bd808 board.May 28 2015, 5:28 PM
bd808 moved this task from Backlog to Archive on the Wikimedia-Logstash board.Jun 5 2015, 6:55 PM